vellTRDocs

Get Payment

GET/v1/payments/{id}Core

Retrieve the full payment object.

Authentication

Signature Pattern

HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/payments/{id}\n{sha256(\"\")}")
HeaderValueDescription
X-Api-Keypk_live_a1b2c3d4e5f6g7h8Merchant public API key
X-Signature{hmac_sha256_hex}Hex HMAC-SHA256 request signature (see below)
X-Timestamp2026-04-13T10:00:00ZISO 8601 UTC request time, validated within ±5 min

Response Parameters

FieldTypeExample
idstring"pay_1a2b3c4d5e6f"
merchantIdstring"mrc_8a1b2c3d4e5f"
transactionIdstring"ORDER-2026-001"
statusstring"captured"
amountinteger15000
currencystring"TRY"
commissioninteger449
netAmountinteger14551
cardMaskstring"415565******4321"
cardBrandstring"visa"
cardTypestring"credit"
binstring"415565"
installmentCountinteger3
threeDSecurebooleantrue
refundAmountinteger0
refundableAmountinteger15000
createdAtstring"2026-04-13T10:00:00Z"
completedAtstring"2026-04-13T10:00:02Z"

Response Example

JSONResponse
{
  "id": "pay_1a2b3c4d5e6f",
  "merchantId": "mrc_8a1b2c3d4e5f",
  "transactionId": "ORDER-2026-001",
  "status": "captured",
  "amount": 15000,
  "currency": "TRY",
  "commission": 449,
  "netAmount": 14551,
  "cardMask": "415565******4321",
  "cardBrand": "visa",
  "cardType": "credit",
  "bin": "415565",
  "installmentCount": 3,
  "threeDSecure": true,
  "refundAmount": 0,
  "refundableAmount": 15000,
  "createdAt": "2026-04-13T10:00:00Z",
  "completedAt": "2026-04-13T10:00:02Z"
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
GEThttps://api.pay.sandbox.kvell.group